Index: c/src/lib/libbsp/powerpc/mpc55xxevb/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/Makefile.am	(revision c082b57502a37df0ada44c1ea8a10f768e2dc79a)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/Makefile.am	(revision dc5cd7972a2e05fbf6c9834cddbb8a8fd7f32ad2)
@@ -35,8 +35,5 @@
 dist_project_lib_DATA += startup/linkcmds.mpc5674f_ecu508_app
 dist_project_lib_DATA += startup/linkcmds.mpc5674f_rsm6
-dist_project_lib_DATA += startup/linkcmds.mpc5674f_rsm6_koma_boot
-dist_project_lib_DATA += startup/linkcmds.mpc5674f_rsm6_koma_app
-dist_project_lib_DATA += startup/linkcmds.mpc5674f_rsm6_moma_boot
-dist_project_lib_DATA += startup/linkcmds.mpc5674f_rsm6_moma_app
+dist_project_lib_DATA += startup/linkcmds.mpc5674f_rsm6_base
 
 noinst_LIBRARIES += libbsp.a
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/configure.ac
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/configure.ac	(revision c082b57502a37df0ada44c1ea8a10f768e2dc79a)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/configure.ac	(revision dc5cd7972a2e05fbf6c9834cddbb8a8fd7f32ad2)
@@ -92,5 +92,5 @@
 [Must be defined to be the PLL multiplication factor for clock generation])
 
-RTEMS_BSPOPTS_SET([MPC55XX_FMPLL_ESYNCR1_CLKCFG],[mpc5674f_rsm6*],[6])
+RTEMS_BSPOPTS_SET([MPC55XX_FMPLL_ESYNCR1_CLKCFG],[mpc5674f_rsm6],[6])
 RTEMS_BSPOPTS_SET([MPC55XX_FMPLL_ESYNCR1_CLKCFG],[*],[7])
 RTEMS_BSPOPTS_HELP([MPC55XX_FMPLL_ESYNCR1_CLKCFG],
@@ -190,12 +190,6 @@
 RTEMS_BSPOPTS_HELP([MPC55XX_BOARD_MPC5674F_ECU508],[if defined, use custom settings for ECU508 board])
 
-RTEMS_BSPOPTS_SET([MPC55XX_BOARD_MPC5674F_RSM6],[mpc5674f_rsm6*],[1])
+RTEMS_BSPOPTS_SET([MPC55XX_BOARD_MPC5674F_RSM6],[mpc5674f_rsm6],[1])
 RTEMS_BSPOPTS_HELP([MPC55XX_BOARD_MPC5674F_RSM6],[if defined, use custom settings for RSM6 board])
-
-RTEMS_BSPOPTS_SET([MPC55XX_BOARD_MPC5674F_RSM6_KOMA],[mpc5674f_rsm6_koma*],[1])
-RTEMS_BSPOPTS_HELP([MPC55XX_BOARD_MPC5674F_RSM6_KOMA],[if defined, use custom settings for RSM6 board KoMa controller])
-
-RTEMS_BSPOPTS_SET([MPC55XX_BOARD_MPC5674F_RSM6_MOMA],[mpc5674f_rsm6_moma*],[1])
-RTEMS_BSPOPTS_HELP([MPC55XX_BOARD_MPC5674F_RSM6_MOMA],[if defined, use custom settings for RSM6 board MoMa controller])
 
 RTEMS_BSPOPTS_SET([MPC55XX_BOARD_PHYCORE_MPC5554],[phycore_mpc5554],[1])
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/make/custom/mpc5674f_rsm6.cfg
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/make/custom/mpc5674f_rsm6.cfg	(revision dc5cd7972a2e05fbf6c9834cddbb8a8fd7f32ad2)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/make/custom/mpc5674f_rsm6.cfg	(revision dc5cd7972a2e05fbf6c9834cddbb8a8fd7f32ad2)
@@ -0,0 +1,1 @@
+include $(RTEMS_ROOT)/make/custom/mpc55xx_spe.inc
Index: src/lib/libbsp/powerpc/mpc55xxevb/make/custom/mpc5674f_rsm6_koma_app.cfg
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/make/custom/mpc5674f_rsm6_koma_app.cfg	(revision c082b57502a37df0ada44c1ea8a10f768e2dc79a)
+++ 	(revision )
@@ -1,1 +1,0 @@
-include $(RTEMS_ROOT)/make/custom/mpc55xx_spe.inc
Index: src/lib/libbsp/powerpc/mpc55xxevb/make/custom/mpc5674f_rsm6_koma_boot.cfg
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/make/custom/mpc5674f_rsm6_koma_boot.cfg	(revision c082b57502a37df0ada44c1ea8a10f768e2dc79a)
+++ 	(revision )
@@ -1,1 +1,0 @@
-include $(RTEMS_ROOT)/make/custom/mpc55xx_spe.inc
Index: src/lib/libbsp/powerpc/mpc55xxevb/make/custom/mpc5674f_rsm6_moma_app.cfg
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/make/custom/mpc5674f_rsm6_moma_app.cfg	(revision c082b57502a37df0ada44c1ea8a10f768e2dc79a)
+++ 	(revision )
@@ -1,1 +1,0 @@
-include $(RTEMS_ROOT)/make/custom/mpc55xx_spe.inc
Index: src/lib/libbsp/powerpc/mpc55xxevb/make/custom/mpc5674f_rsm6_moma_boot.cfg
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/make/custom/mpc5674f_rsm6_moma_boot.cfg	(revision c082b57502a37df0ada44c1ea8a10f768e2dc79a)
+++ 	(revision )
@@ -1,1 +1,0 @@
-include $(RTEMS_ROOT)/make/custom/mpc55xx_spe.inc
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/preinstall.am
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/preinstall.am	(revision c082b57502a37df0ada44c1ea8a10f768e2dc79a)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/preinstall.am	(revision dc5cd7972a2e05fbf6c9834cddbb8a8fd7f32ad2)
@@ -110,19 +110,7 @@
 PREINSTALL_FILES += $(PROJECT_LIB)/linkcmds.mpc5674f_rsm6
 
-$(PROJECT_LIB)/linkcmds.mpc5674f_rsm6_koma_boot: startup/linkcmds.mpc5674f_rsm6_koma_boot $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/linkcmds.mpc5674f_rsm6_koma_boot
-PREINSTALL_FILES += $(PROJECT_LIB)/linkcmds.mpc5674f_rsm6_koma_boot
-
-$(PROJECT_LIB)/linkcmds.mpc5674f_rsm6_koma_app: startup/linkcmds.mpc5674f_rsm6_koma_app $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/linkcmds.mpc5674f_rsm6_koma_app
-PREINSTALL_FILES += $(PROJECT_LIB)/linkcmds.mpc5674f_rsm6_koma_app
-
-$(PROJECT_LIB)/linkcmds.mpc5674f_rsm6_moma_boot: startup/linkcmds.mpc5674f_rsm6_moma_boot $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/linkcmds.mpc5674f_rsm6_moma_boot
-PREINSTALL_FILES += $(PROJECT_LIB)/linkcmds.mpc5674f_rsm6_moma_boot
-
-$(PROJECT_LIB)/linkcmds.mpc5674f_rsm6_moma_app: startup/linkcmds.mpc5674f_rsm6_moma_app $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/linkcmds.mpc5674f_rsm6_moma_app
-PREINSTALL_FILES += $(PROJECT_LIB)/linkcmds.mpc5674f_rsm6_moma_app
+$(PROJECT_LIB)/linkcmds.mpc5674f_rsm6_base: startup/linkcmds.mpc5674f_rsm6_base $(PROJECT_LIB)/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_LIB)/linkcmds.mpc5674f_rsm6_base
+PREINSTALL_FILES += $(PROJECT_LIB)/linkcmds.mpc5674f_rsm6_base
 
 $(PROJECT_INCLUDE)/bsp.h: include/bsp.h $(PROJECT_INCLUDE)/$(dirstamp)
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/startup/linkcmds.mpc5674f_rsm6
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/startup/linkcmds.mpc5674f_rsm6	(revision c082b57502a37df0ada44c1ea8a10f768e2dc79a)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/startup/linkcmds.mpc5674f_rsm6	(revision dc5cd7972a2e05fbf6c9834cddbb8a8fd7f32ad2)
@@ -1,28 +1,6 @@
 MEMORY {
-	RAM : ORIGIN = 0x40000000, LENGTH = 240k
-	NOCACHE : ORIGIN = 0x4003c000, LENGTH = 16k
-	MRAM : ORIGIN = 0x20000000, LENGTH = 4M
+	STARTROM : ORIGIN = 0x0, LENGTH = 32k
+	ROM : ORIGIN = 0x40000, LENGTH = 768k
 }
 
-REGION_ALIAS ("RAM_EXT", RAM);
-
-REGION_ALIAS ("REGION_START", STARTROM);
-REGION_ALIAS ("REGION_FAST_TEXT", RAM);
-REGION_ALIAS ("REGION_FAST_TEXT_LOAD", ROM);
-REGION_ALIAS ("REGION_TEXT", ROM);
-REGION_ALIAS ("REGION_TEXT_LOAD", ROM);
-REGION_ALIAS ("REGION_RODATA", ROM);
-REGION_ALIAS ("REGION_RODATA_LOAD", ROM);
-REGION_ALIAS ("REGION_FAST_DATA", RAM);
-REGION_ALIAS ("REGION_FAST_DATA_LOAD", ROM);
-REGION_ALIAS ("REGION_DATA", RAM);
-REGION_ALIAS ("REGION_DATA_LOAD", ROM);
-REGION_ALIAS ("REGION_BSS", RAM);
-REGION_ALIAS ("REGION_RWEXTRA", RAM);
-REGION_ALIAS ("REGION_WORK", RAM);
-REGION_ALIAS ("REGION_STACK", RAM);
-REGION_ALIAS ("REGION_NOCACHE", NOCACHE);
-REGION_ALIAS ("REGION_NOCACHE_LOAD", ROM);
-REGION_ALIAS ("REGION_NVRAM", MRAM);
-
-INCLUDE linkcmds.mpc55xx
+INCLUDE linkcmds.mpc5674f_rsm6_base
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/startup/linkcmds.mpc5674f_rsm6_base
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/startup/linkcmds.mpc5674f_rsm6_base	(revision dc5cd7972a2e05fbf6c9834cddbb8a8fd7f32ad2)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/startup/linkcmds.mpc5674f_rsm6_base	(revision dc5cd7972a2e05fbf6c9834cddbb8a8fd7f32ad2)
@@ -0,0 +1,28 @@
+MEMORY {
+	RAM : ORIGIN = 0x40000000, LENGTH = 240k
+	NOCACHE : ORIGIN = 0x4003c000, LENGTH = 16k
+	MRAM : ORIGIN = 0x20000000, LENGTH = 4M
+}
+
+REGION_ALIAS ("RAM_EXT", RAM);
+
+REGION_ALIAS ("REGION_START", STARTROM);
+REGION_ALIAS ("REGION_FAST_TEXT", RAM);
+REGION_ALIAS ("REGION_FAST_TEXT_LOAD", ROM);
+REGION_ALIAS ("REGION_TEXT", ROM);
+REGION_ALIAS ("REGION_TEXT_LOAD", ROM);
+REGION_ALIAS ("REGION_RODATA", ROM);
+REGION_ALIAS ("REGION_RODATA_LOAD", ROM);
+REGION_ALIAS ("REGION_FAST_DATA", RAM);
+REGION_ALIAS ("REGION_FAST_DATA_LOAD", ROM);
+REGION_ALIAS ("REGION_DATA", RAM);
+REGION_ALIAS ("REGION_DATA_LOAD", ROM);
+REGION_ALIAS ("REGION_BSS", RAM);
+REGION_ALIAS ("REGION_RWEXTRA", RAM);
+REGION_ALIAS ("REGION_WORK", RAM);
+REGION_ALIAS ("REGION_STACK", RAM);
+REGION_ALIAS ("REGION_NOCACHE", NOCACHE);
+REGION_ALIAS ("REGION_NOCACHE_LOAD", ROM);
+REGION_ALIAS ("REGION_NVRAM", MRAM);
+
+INCLUDE linkcmds.mpc55xx
Index: src/lib/libbsp/powerpc/mpc55xxevb/startup/linkcmds.mpc5674f_rsm6_koma_app
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/startup/linkcmds.mpc5674f_rsm6_koma_app	(revision c082b57502a37df0ada44c1ea8a10f768e2dc79a)
+++ 	(revision )
@@ -1,8 +1,0 @@
-MEMORY {
-	/* Let space for the binary image library header */
-	ROM : ORIGIN = 0x00100000, LENGTH = 3068k
-}
-
-REGION_ALIAS ("STARTROM", ROM);
-
-INCLUDE linkcmds.mpc5674f_rsm6
Index: src/lib/libbsp/powerpc/mpc55xxevb/startup/linkcmds.mpc5674f_rsm6_koma_boot
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/startup/linkcmds.mpc5674f_rsm6_koma_boot	(revision c082b57502a37df0ada44c1ea8a10f768e2dc79a)
+++ 	(revision )
@@ -1,6 +1,0 @@
-MEMORY {
-	STARTROM : ORIGIN = 0x0, LENGTH = 32k
-	ROM : ORIGIN = 0x40000, LENGTH = 768k
-}
-
-INCLUDE linkcmds.mpc5674f_rsm6
Index: src/lib/libbsp/powerpc/mpc55xxevb/startup/linkcmds.mpc5674f_rsm6_moma_app
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/startup/linkcmds.mpc5674f_rsm6_moma_app	(revision c082b57502a37df0ada44c1ea8a10f768e2dc79a)
+++ 	(revision )
@@ -1,8 +1,0 @@
-MEMORY {
-	/* Let space for the binary image library header */
-	ROM : ORIGIN = 0x00100000, LENGTH = 3068k
-}
-
-REGION_ALIAS ("STARTROM", ROM);
-
-INCLUDE linkcmds.mpc5674f_rsm6
Index: src/lib/libbsp/powerpc/mpc55xxevb/startup/linkcmds.mpc5674f_rsm6_moma_boot
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/startup/linkcmds.mpc5674f_rsm6_moma_boot	(revision c082b57502a37df0ada44c1ea8a10f768e2dc79a)
+++ 	(revision )
@@ -1,6 +1,0 @@
-MEMORY {
-	STARTROM : ORIGIN = 0x0, LENGTH = 32k
-	ROM : ORIGIN = 0x40000, LENGTH = 768k
-}
-
-INCLUDE linkcmds.mpc5674f_rsm6
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start-config-ebi-cs-cal.c
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start-config-ebi-cs-cal.c	(revision c082b57502a37df0ada44c1ea8a10f768e2dc79a)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start-config-ebi-cs-cal.c	(revision dc5cd7972a2e05fbf6c9834cddbb8a8fd7f32ad2)
@@ -170,6 +170,5 @@
     }
   }
-#elif defined(MPC55XX_BOARD_MPC5674F_RSM6) \
-  && defined(MPC55XX_NEEDS_LOW_LEVEL_INIT)
+#elif defined(MPC55XX_BOARD_MPC5674F_RSM6)
   /* D_CS0 for MRAM */
   {
@@ -226,35 +225,27 @@
   },
 
-  #if defined(MPC55XX_BOARD_MPC5674F_RSM6_KOMA)
-    /* D_CS3 for Ethernet Controller */
-    {
-      .BR = {
-        .B = {
-          .BA = 0x23000000 >> 15,
-          .PS = 1,
-          .AD_MUX = 1,
-          .BL = 0,
-          .WEBS = 1,
-          .TBDIP = 0,
-          .SETA = 0,
-          .BI = 1,
-          .V = 1
-      }
-    },
-      .OR = {
-        .B = {
-          .AM = 0xfff80000 >> 15,
-          .SCY = 8,
-          .BSCY = 0
-        }
-      }
-    }
-  #else
-    /* D_CS3 unused */
-    {
-      .BR = { .R = 0x20000002 },
-      .OR = { .R = 0xe0000000 }
-    }
-  #endif
+  /* D_CS3 for Ethernet Controller */
+  {
+    .BR = {
+      .B = {
+        .BA = 0x23000000 >> 15,
+        .PS = 1,
+        .AD_MUX = 1,
+        .BL = 0,
+        .WEBS = 1,
+        .TBDIP = 0,
+        .SETA = 0,
+        .BI = 1,
+        .V = 1
+    }
+  },
+    .OR = {
+      .B = {
+        .AM = 0xfff80000 >> 15,
+        .SCY = 8,
+        .BSCY = 0
+      }
+    }
+  }
 #endif
 };
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start-config-mmu.c
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start-config-mmu.c	(revision c082b57502a37df0ada44c1ea8a10f768e2dc79a)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start-config-mmu.c	(revision dc5cd7972a2e05fbf6c9834cddbb8a8fd7f32ad2)
@@ -108,38 +108,31 @@
   #else
     /* Used as cache-inhibited area (ADC, DSPI queues) */
-    MPC55XX_MMU_TAG_INITIALIZER(14, 0x4003c000, MPC55XX_MMU_16K,  0, 1, 1, 1),
+    MPC55XX_MMU_TAG_INITIALIZER(14, 0x4003c000, MPC55XX_MMU_16K,  0, 1, 1, 1)
   #endif
 #elif defined(MPC55XX_BOARD_MPC5674F_RSM6)
-  #if defined(MPC55XX_NEEDS_LOW_LEVEL_INIT)
-    /* Arguments macro:       idx,  addr,       size,             x, w, r, io */
+  /* Arguments macro:        idx, addr,       size,             x, w, r, io */
 
-    /* Internal flash 4M */
-    /* First 64k unused, to detect NULL pointer access */
-    MPC55XX_MMU_TAG_INITIALIZER(1,  0x00000000, MPC55XX_MMU_64K,  1, 0, 1, 0),
-    MPC55XX_MMU_TAG_INITIALIZER(5,  0x00010000, MPC55XX_MMU_64K,  1, 0, 1, 0),
-    MPC55XX_MMU_TAG_INITIALIZER(6,  0x00020000, MPC55XX_MMU_128K, 1, 0, 1, 0),
-    MPC55XX_MMU_TAG_INITIALIZER(7,  0x00040000, MPC55XX_MMU_256K, 1, 0, 1, 0),
-    MPC55XX_MMU_TAG_INITIALIZER(8,  0x00080000, MPC55XX_MMU_512K, 1, 0, 1, 0),
-    MPC55XX_MMU_TAG_INITIALIZER(9,  0x00100000, MPC55XX_MMU_1M,   1, 0, 1, 0),
-    MPC55XX_MMU_TAG_INITIALIZER(10, 0x00200000, MPC55XX_MMU_2M,   1, 0, 1, 0),
-    /* External MRAM 4M */
-    MPC55XX_MMU_TAG_INITIALIZER(2,  0x20000000, MPC55XX_MMU_4M,   0, 1, 1, 0),
-    /* Internal SRAM 256k */
-    MPC55XX_MMU_TAG_INITIALIZER(3,  0x40000000, MPC55XX_MMU_256K, 0, 1, 1, 0),
-    MPC55XX_MMU_TAG_INITIALIZER(11, 0x40020000, MPC55XX_MMU_64K,  0, 1, 1, 0),
-    MPC55XX_MMU_TAG_INITIALIZER(12, 0x40030000, MPC55XX_MMU_32K,  0, 1, 1, 0),
-    MPC55XX_MMU_TAG_INITIALIZER(13, 0x40038000, MPC55XX_MMU_16K,  0, 1, 1, 0),
-    /* Used as cache-inhibited area (ADC, DSPI queues) */
-    MPC55XX_MMU_TAG_INITIALIZER(14, 0x4003c000, MPC55XX_MMU_16K,  0, 1, 1, 1),
-    /* External FPGA */
-    MPC55XX_MMU_TAG_INITIALIZER(15, 0x21000000, MPC55XX_MMU_8M,   0, 1, 1, 1),
-    #if defined(MPC55XX_BOARD_MPC5674F_RSM6_KOMA)
-      /* External Ethernet controller */
-      MPC55XX_MMU_TAG_INITIALIZER(17, 0x23000000, MPC55XX_MMU_1K, 0, 1, 1, 1),
-    #endif
-  #else
-    /* Used as cache-inhibited area (ADC, DSPI queues) */
-    MPC55XX_MMU_TAG_INITIALIZER(14, 0x4003c000, MPC55XX_MMU_16K,  0, 1, 1, 1),
-  #endif
+  /* Internal flash 4M */
+  /* First 64k unused, to detect NULL pointer access */
+  MPC55XX_MMU_TAG_INITIALIZER(1,  0x00000000, MPC55XX_MMU_64K,  1, 0, 1, 0),
+  MPC55XX_MMU_TAG_INITIALIZER(5,  0x00010000, MPC55XX_MMU_64K,  1, 0, 1, 0),
+  MPC55XX_MMU_TAG_INITIALIZER(6,  0x00020000, MPC55XX_MMU_128K, 1, 0, 1, 0),
+  MPC55XX_MMU_TAG_INITIALIZER(7,  0x00040000, MPC55XX_MMU_256K, 1, 0, 1, 0),
+  MPC55XX_MMU_TAG_INITIALIZER(8,  0x00080000, MPC55XX_MMU_512K, 1, 0, 1, 0),
+  MPC55XX_MMU_TAG_INITIALIZER(9,  0x00100000, MPC55XX_MMU_1M,   1, 0, 1, 0),
+  MPC55XX_MMU_TAG_INITIALIZER(10, 0x00200000, MPC55XX_MMU_2M,   1, 0, 1, 0),
+  /* External MRAM 4M */
+  MPC55XX_MMU_TAG_INITIALIZER(2,  0x20000000, MPC55XX_MMU_4M,   0, 1, 1, 0),
+  /* Internal SRAM 256k */
+  MPC55XX_MMU_TAG_INITIALIZER(3,  0x40000000, MPC55XX_MMU_256K, 0, 1, 1, 0),
+  MPC55XX_MMU_TAG_INITIALIZER(11, 0x40020000, MPC55XX_MMU_64K,  0, 1, 1, 0),
+  MPC55XX_MMU_TAG_INITIALIZER(12, 0x40030000, MPC55XX_MMU_32K,  0, 1, 1, 0),
+  MPC55XX_MMU_TAG_INITIALIZER(13, 0x40038000, MPC55XX_MMU_16K,  0, 1, 1, 0),
+  /* Used as cache-inhibited area (ADC, DSPI queues) */
+  MPC55XX_MMU_TAG_INITIALIZER(14, 0x4003c000, MPC55XX_MMU_16K,  0, 1, 1, 1),
+  /* External FPGA */
+  MPC55XX_MMU_TAG_INITIALIZER(15, 0x21000000, MPC55XX_MMU_8M,   0, 1, 1, 1),
+  /* External Ethernet controller */
+  MPC55XX_MMU_TAG_INITIALIZER(16, 0x23000000, MPC55XX_MMU_1K,   0, 1, 1, 1)
 #elif MPC55XX_CHIP_FAMILY == 564
   /* Internal flash 1M */
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start-config-siu-pcr.c
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start-config-siu-pcr.c	(revision c082b57502a37df0ada44c1ea8a10f768e2dc79a)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start-config-siu-pcr.c	(revision dc5cd7972a2e05fbf6c9834cddbb8a8fd7f32ad2)
@@ -128,13 +128,10 @@
   { 432,  1, 1, { .B = { .PA = 0, .OBE = 1, .WPE = 0 } } }, /* EMIOS26 (HBR34_RST) */
   { 433,  1, 0, { .B = { .PA = 0, .OBE = 1, .WPE = 0 } } } /* EMIOS27 (\ETH_RST) */
-#elif defined(MPC55XX_BOARD_MPC5674F_RSM6) \
-  && defined(MPC55XX_NEEDS_LOW_LEVEL_INIT)
+#elif defined(MPC55XX_BOARD_MPC5674F_RSM6)
   {  89,  1, 0, { .B = { .PA = 1, .OBE = 1, .IBE = 1, .WPE = 1, .WPS = 1 } } }, /* TXD_A (ESCI_A)*/
   {  90,  1, 0, { .B = { .PA = 1, .OBE = 0, .IBE = 1, .WPE = 1, .WPS = 1 } } }, /* RXD_A (ESCI_A)*/
   { 256,  1, 0, { .B = { .PA = 1, .DSC = 3, .WPE = 1, .WPS = 1 } } }, /* D_CS0 */
   { 257,  1, 0, { .B = { .PA = 2, .DSC = 3, .WPE = 1, .WPS = 1 } } }, /* D_ADD_DAT31 */
-  #if defined(MPC55XX_BOARD_MPC5674F_RSM6_KOMA)
-    { 258,  1, 0, { .B = { .PA = 1, .DSC = 3, .WPE = 1, .WPS = 1 } } }, /* D_CS3 */
-  #endif
+  { 258,  1, 0, { .B = { .PA = 1, .DSC = 3, .WPE = 1, .WPS = 1 } } }, /* D_CS3 */
   { 259,  4, 0, { .B = { .PA = 1, .DSC = 3, .WPE = 1, .WPS = 1 } } }, /* D_ADD12 .. D_ADD15 */
   { 263, 15, 0, { .B = { .PA = 2, .DSC = 3, .WPE = 1, .WPS = 1 } } }, /* D_ADD_DAT16 .. D_ADD_DAT30 */
